NX Open C++ Reference Guide
|
Represents the builder for the CMM Inspection sub-operation Linear Move To Point. More...
Public Types | |
enum | PointTypeEnums { PointTypeEnumsExistingPoint, PointTypeEnumsDeltaXYZ, PointTypeEnumsPointConstructor } |
specifies the method used to define a point More... | |
![]() | |
enum | DepthMethodTypes { DepthMethodTypesAuto = -1, DepthMethodTypesDistance, DepthMethodTypesFromFeatureNominal, DepthMethodTypesFromFeatureActual, DepthMethodTypesFromDatum } |
the depth method More... | |
enum | SensorStrategyTypes { SensorStrategyTypesCreateAsNeeded, SensorStrategyTypesUseExisting } |
the sensor selection strategy More... | |
enum | TipAngleTypes { TipAngleTypesAuto, TipAngleTypesSpecify, TipAngleTypesExisting } |
the tip angle selection mode More... | |
enum | TipModeTypes { TipModeTypesAuto, TipModeTypesSpecify, TipModeTypesExisting } |
the tip selection mode More... | |
Public Member Functions | |
double | DepthDistance () |
Returns the depth distance Created in NX9.0.0. | |
NXOpen::CAM::InspectionMoveBuilder::DepthMethodTypes | DepthMethod () |
Returns the depth method Created in NX9.0.0. | |
NXOpen::CAM::InspectionLinearMoveToPointBuilder::PointTypeEnums | PointTypeEnum () |
Returns the point type enum Created in NX7.5.0. | |
double | PointX () |
Returns the point X coordinate Created in NX7.5.0. | |
double | PointY () |
Returns the point Y coordinate Created in NX7.5.0. | |
double | PointZ () |
Returns the point Z coordinate Created in NX7.5.0. | |
NXOpen::SelectPoint * | SelectExistingPoint () |
Returns the select existing point Created in NX7.5.0. | |
void | SetDepthDistance (double distance) |
Sets the depth distance Created in NX9.0.0. | |
void | SetDepthMethod (NXOpen::CAM::InspectionMoveBuilder::DepthMethodTypes method) |
Sets the depth method Created in NX9.0.0. | |
void | SetPointTypeEnum (NXOpen::CAM::InspectionLinearMoveToPointBuilder::PointTypeEnums pointTypeEnum) |
Sets the point type enum Created in NX7.5.0. | |
void | SetPointX (double pointX) |
Sets the point X coordinate Created in NX7.5.0. | |
void | SetPointY (double pointY) |
Sets the point Y coordinate Created in NX7.5.0. | |
void | SetPointZ (double pointZ) |
Sets the point Z coordinate Created in NX7.5.0. | |
void | SetTargetPoint (NXOpen::Point *point) |
Sets the point Created in NX7.0.0. | |
NXOpen::Point * | TargetPoint () |
Returns the point Created in NX7.0.0. | |
![]() | |
double | AngleA () |
Returns the A angle for an indexable head Created in NX7.0.0. | |
double | AngleB () |
Returns the B angle for an indexable head Created in NX7.0.0. | |
double | ApproachDistance () |
Returns the approach distance Created in NX7.0.0. | |
NXOpen::CAM::MoveBuilder::Motion | MotionType () |
Returns the motion type Created in NX7.0.0. | |
double | RetractDistance () |
Returns the retract distance Created in NX7.0.0. | |
NXString | SensorOpName () |
Returns the inspection sensor operation name Created in NX7.5.1. | |
NXOpen::CAM::InspectionMoveBuilder::SensorStrategyTypes | SensorStrategy () |
Returns the sensor selection strategy Created in NX7.5.1. | |
NXOpen::CAM::InspectionSensorStrategyBuilder * | SensorStrategyBuilder () |
Returns the Sensor Strategy Enum Builder Created in NX9.0.0. | |
void | SetAngleA (double angle) |
Sets the A angle for an indexable head Created in NX7.0.0. | |
void | SetAngleB (double angle) |
Sets the B angle for an indexable head Created in NX7.0.0. | |
void | SetApproachDistance (double distance) |
Sets the approach distance Created in NX7.0.0. | |
void | SetMotionType (NXOpen::CAM::MoveBuilder::Motion motionType) |
Sets the motion type Created in NX7.0.0. | |
void | SetParent (NXOpen::CAM::CAMObject *parent) |
Set parent Created in NX7.0.0. | |
void | SetProbeAngles () |
Set default values for probe angles based on feature type. | |
void | SetRetractDistance (double distance) |
Sets the retract distance Created in NX7.0.0. | |
void | SetSensorOpName (const NXString &sensorOpName) |
Sets the inspection sensor operation name Created in NX7.5.1. | |
void | SetSensorOpName (const char *sensorOpName) |
Sets the inspection sensor operation name Created in NX7.5.1. | |
void | SetSensorStrategy (NXOpen::CAM::InspectionMoveBuilder::SensorStrategyTypes sensorStrategy) |
Sets the sensor selection strategy Created in NX7.5.1. | |
void | SetSibling (NXOpen::CAM::CAMObject *sibling) |
Set sibling Created in NX7.0.0. | |
void | SetTipAngleMode (NXOpen::CAM::InspectionMoveBuilder::TipAngleTypes tipAngleMode) |
Sets the tip angle selection mode Created in NX7.0.0. | |
void | SetTipMode (NXOpen::CAM::InspectionMoveBuilder::TipModeTypes tipMode) |
Sets the probe tip selection mode Created in NX7.0.0. | |
void | SetTipNumber (int tipNumber) |
Sets the probe tip number Created in NX7.0.0. | |
NXOpen::CAM::InspectionMoveBuilder::TipAngleTypes | TipAngleMode () |
Returns the tip angle selection mode Created in NX7.0.0. | |
NXOpen::CAM::InspectionMoveBuilder::TipModeTypes | TipMode () |
Returns the probe tip selection mode Created in NX7.0.0. | |
int | TipNumber () |
Returns the probe tip number Created in NX7.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents the builder for the CMM Inspection sub-operation Linear Move To Point.
To create a new instance of this class, use CAM::InspectionMoveCollection::CreateInspectionLinearMoveToPointBuilder
Created in NX7.0.0.
specifies the method used to define a point
PointTypeEnumsExistingPoint |
Select an existing point. |
PointTypeEnumsDeltaXYZ |
Enter in a delta value from a point. |
PointTypeEnumsPointConstructor |
Use the Point Constructor. |
double NXOpen::CAM::InspectionLinearMoveToPointBuilder::DepthDistance | ( | ) |
Returns the depth distance
Created in NX9.0.0.
License requirements : None
NXOpen::CAM::InspectionMoveBuilder::DepthMethodTypes NXOpen::CAM::InspectionLinearMoveToPointBuilder::DepthMethod | ( | ) |
Returns the depth method
Created in NX9.0.0.
License requirements : None
NXOpen::CAM::InspectionLinearMoveToPointBuilder::PointTypeEnums NXOpen::CAM::InspectionLinearMoveToPointBuilder::PointTypeEnum | ( | ) |
Returns the point type enum
Created in NX7.5.0.
License requirements : None
double NXOpen::CAM::InspectionLinearMoveToPointBuilder::PointX | ( | ) |
Returns the point X coordinate
Created in NX7.5.0.
License requirements : None
double NXOpen::CAM::InspectionLinearMoveToPointBuilder::PointY | ( | ) |
Returns the point Y coordinate
Created in NX7.5.0.
License requirements : None
double NXOpen::CAM::InspectionLinearMoveToPointBuilder::PointZ | ( | ) |
Returns the point Z coordinate
Created in NX7.5.0.
License requirements : None
NXOpen::SelectPoint* NXOpen::CAM::InspectionLinearMoveToPointBuilder::SelectExistingPoint | ( | ) |
Returns the select existing point
Created in NX7.5.0.
License requirements : None
void NXOpen::CAM::InspectionLinearMoveToPointBuilder::SetDepthDistance | ( | double | distance | ) |
Sets the depth distance
Created in NX9.0.0.
License requirements : insp_programming ("INSPECTION PROGRAMMING")
distance | distance |
void NXOpen::CAM::InspectionLinearMoveToPointBuilder::SetDepthMethod | ( | NXOpen::CAM::InspectionMoveBuilder::DepthMethodTypes | method | ) |
Sets the depth method
Created in NX9.0.0.
License requirements : insp_programming ("INSPECTION PROGRAMMING")
method | method |
void NXOpen::CAM::InspectionLinearMoveToPointBuilder::SetPointTypeEnum | ( | NXOpen::CAM::InspectionLinearMoveToPointBuilder::PointTypeEnums | pointTypeEnum | ) |
Sets the point type enum
Created in NX7.5.0.
License requirements : insp_programming ("INSPECTION PROGRAMMING")
pointTypeEnum | pointtypeenum |
void NXOpen::CAM::InspectionLinearMoveToPointBuilder::SetPointX | ( | double | pointX | ) |
Sets the point X coordinate
Created in NX7.5.0.
License requirements : insp_programming ("INSPECTION PROGRAMMING")
pointX | pointx |
void NXOpen::CAM::InspectionLinearMoveToPointBuilder::SetPointY | ( | double | pointY | ) |
Sets the point Y coordinate
Created in NX7.5.0.
License requirements : insp_programming ("INSPECTION PROGRAMMING")
pointY | pointy |
void NXOpen::CAM::InspectionLinearMoveToPointBuilder::SetPointZ | ( | double | pointZ | ) |
Sets the point Z coordinate
Created in NX7.5.0.
License requirements : insp_programming ("INSPECTION PROGRAMMING")
pointZ | pointz |
void NXOpen::CAM::InspectionLinearMoveToPointBuilder::SetTargetPoint | ( | NXOpen::Point * | point | ) |
Sets the point
Created in NX7.0.0.
License requirements : None
point | point |
NXOpen::Point* NXOpen::CAM::InspectionLinearMoveToPointBuilder::TargetPoint | ( | ) |
Returns the point
Created in NX7.0.0.
License requirements : None